<?
if($ku['dostup']<1)
{
echo '<div class="block">';
echo '<img src="/img/smiles/
zayac.gif"> Упс! Вход только админу.';
echo '</div>';
include_once 'inc/foot.php';
exit;
}
if($ku['status']==3){
if(isset($_POST['text']))
{
$text=$_POST['text'];
$q=mysql_querll("SELECT * FROM `kolhoz_user` WHERE `status` >= '0' AND `id` != '$ku[id]'");
if($_POST['type']==1)$type='Рассылка:';
elseif($_POST['type']==2)$type='Объявление:';
else $type='Новость:';
$msg="$type
$text";
while($post=mysql_fetch_array($q))
{
mysql_querll("INSERT INTO `kolhoz_mail` SET `id_user` = '$post[id]', `id_kont` = '$ku[id]', `msg` = '".my_esc($msg)."', `time` = '$time', `type` = 'to'");
}
update_ku('time_support',($time+(0*3600)));
header("Location:/");
$_SESSION['msg']='Ваше сообщение успешно отправлено.';
exit;
}
}
?>
<div class="event">
<h1>Рассылка</h1></div>
<div class="content">
<div class="block">
<form method="post"><div
style="width:0px;height:0px;position:absolute;left:-100px;top:-100px;overflow:hidden"><input type="hidden" name="mdp" value="<? echo $ku['mdp'];?>"></div>
<ul>
<li>
<label>
<div>Тип:</div>
<div><select name="type"><option selected="selected" value="1">Рассылка</option><option
value="2">Объявление</option><option
value="3">Новость</option></select></div>
</label>
</li>
<li>
<label>
<div class="pt">Сообщение:</div>
<div><textarea class="wide" rows="5" name="text"></textarea></div>
</label>
</li>
<li>
<div style="font-size:0.6em">Данное сообщение будет отправлено всем жителям фермы.</div>
</li>
<li>
<?php
if($ku['status']==3)echo "<input type='submit' value='Отправить'>";
?>
</li>
</ul>
</form>
</div>
<? include_once 'inc/foot.php';?>